/* 
 * The MIT License
 * 
 * Copyright (c) 2007 University of Salzburg, www.uni-salzburg.at
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package test.schedule.IncDecMulDiv;

import com.ibm.realtime.exotasks.Exotask;
import com.ibm.realtime.exotasks.ExotaskInputPort;
import com.ibm.realtime.exotasks.ExotaskOutputPort;

/**
 * @author Daniel Iercan (diercan@aut.upt.ro)
 *
 **/
public class AdjustLower implements Exotask {

	private ExotaskInputPort in;
	private ExotaskOutputPort out;
	private final int lowerBound;
	private final int initValue;

	public AdjustLower(int lowerBound, int initValue)
	{
		this.initValue = initValue;
		this.lowerBound = lowerBound;
	}

	/* (non-Javadoc)
	 * @see java.lang.Runnable#run()
	 */
	public void execute() {
		Integer intVlaue = (Integer)in.getValue();
		if(intVlaue.intValue() < lowerBound)
			out.setValue(new Integer(lowerBound));
		else
			out.setValue(new Integer(intVlaue.intValue()));

	}

	public void initialize(ExotaskInputPort[] inputPorts, ExotaskOutputPort[] outputPorts, Object parameter)
	{
		in = inputPorts[0];
		out = outputPorts[0];
		out.setValue(new Integer(initValue));
	}

}
