/* 
 * The MIT License
 * 
 * Copyright (c) 2007 University of Salzburg, www.uni-salzburg.at
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package test.schedule.IncDecMulDiv;

import com.ibm.realtime.exotasks.ESystem;
import com.ibm.realtime.exotasks.Exotask;
import com.ibm.realtime.exotasks.ExotaskInputPort;
import com.ibm.realtime.exotasks.ExotaskOutputPort;

public class Reporter implements Exotask
{
  private ExotaskInputPort inIncDec;
  private int oldIncDecCounter;
  private ExotaskInputPort inMulDiv;
  private int oldMulDivCounter;
  
  public void execute()
  {
    Integer valIncDec = (Integer) inIncDec.getValue();
    Integer valMulDiv = (Integer) inMulDiv.getValue();
    if(valIncDec==null || valMulDiv == null){
      ESystem.out.print("null");
      ESystem.out.println();
    } else {
    	if(valIncDec.intValue() != oldIncDecCounter){
    		ESystem.out.print("IncDecCounter = ");
    		ESystem.out.print(valIncDec.intValue());
    		ESystem.out.println();
    		oldIncDecCounter = valIncDec.intValue();
    	}
    	if(valMulDiv.intValue() != oldMulDivCounter){
    		ESystem.out.print("MulDivCounter = ");
    		ESystem.out.print(valMulDiv.intValue());
    		ESystem.out.println();
    		oldMulDivCounter = valMulDiv.intValue();
    	}
    }
  }

	public void initialize(ExotaskInputPort[] inputPorts, ExotaskOutputPort[] outputPorts, Object parameter)
	{
    this.inIncDec = inputPorts[0];
    oldIncDecCounter = 0;
    this.inMulDiv = inputPorts[1];
    oldMulDivCounter = 1;
	}

}
